{ pkgs, ... }:
{
  programs.nixvim = {
    extraPackages = with pkgs; [ fd ];
    enable = true;
    viAlias = false;
    vimAlias = false;
    clipboard.register = [
      "unnamed"
      "unnamedplus"
    ];
    performance = {
      byteCompileLua = {
        enable = true;
        configs = true;
        initLua = true;
        nvimRuntime = true;
        plugins = true;
      };
    };
    # extraFiles = {
    #   "queries/nix/injections.scm".text = lib.mkForce ''
    #     (string_literal
    #       (string_fragment) @lua
    #       (#match? @lua ".*")
    #     )
    #   '';
    # };
    colorscheme = "catppuccin";
    colorschemes.catppuccin = {
      enable = true;
      #lazyLoad.enable = true;
    };
    plugins = {
      aerial.enable = true;
      direnv.enable = true;
      web-devicons.enable = true;
      glow.enable = true;
      gitblame.enable = true;
      git-conflict.enable = true;
      nix.enable = true;
      nix-develop.enable = true;
      image.enable = true;
      which-key.enable = true;
      neocord.enable = false;
      rainbow-delimiters.enable = true;
      neoconf.enable = true;
      colorizer.enable = true;
      comment.enable = true;
      dotnet.enable = true;
      sqlite-lua.enable = true;
      lazydev.enable = true;
    };
    extraConfigVim = ''
      set number " enable number lines
    '';
  };
}
